# -*- coding: utf-8 -*-

# colorsdata.py
# This file is part of VWidgets module
# see: http://bazaar.launchpad.net/~vincent-vandevyvre/oqapy/serie-1.0/

__all__ = ('BASIC_PLT', 'SVG_PLT', 'SVG_NAMES')

BASIC_PLT = {'Red': (255, 0, 0), 'Orangered': (255, 69, 0),
                'Crimson': (220, 20, 60), 'Dark red': (128, 0, 0),
                'Green': (0, 255, 0), 'Limegreen': (50, 205, 50),
                'Light green': (14, 255, 187), 'Dark green': (0, 128, 0),
                'Blue': (0, 0, 255), 'Royal blue': (65, 105, 225),
                'Indigo': (75, 0, 130), 'Dark blue': (0, 0, 128),
                'Cyan': (0, 255, 255), 'Magenta': (255, 0, 255),
                'Yellow': (255, 255, 0), 'Gray': (160, 160, 160),
                'Light gray': (192, 192, 192), 'Dark gray': (128, 128, 128),
                'White': (255, 255, 255), 'Black': (0, 0, 0),
                'ORDER': ['Red', 'Orangered', 'Crimson', 'Dark red',
                'Green', 'Light green', 'Limegreen', 'Dark green',
                'Blue', 'Royal blue', 'Indigo', 'Dark blue', 
                'Cyan', 'Magenta', 'Yellow', 'Gray', 
                'Light gray', 'Dark gray', 'White', 'Black']}

SVG_PLT = {'aliceblue': (240, 248, 255),
			'antiquewhite': (250, 235, 215),
			'aquamarine': (127, 255, 212),
			'azure': (240, 255, 255),
			'beige': (245, 245, 220),
			'bisque': (255, 228, 196),
			'black': (0, 0, 0),
			'blanchedalmond': (255, 235, 205),
			'blue': (0, 0, 255),
			'blueviolet': (138, 43, 226),
			'brown': (165, 42, 42),
			'burlywood': (222, 184, 135),
			'cadetblue': (95, 158, 160),
			'chartreuse': (127, 255, 0),
			'chocolate': (210, 105, 30),
			'coral': (255, 127, 80),
			'cornflowerblue': (100, 149, 237),
			'cornsilk': (255, 248, 220),
			'crimson': (220, 20, 60),
			'cyan': (0, 255, 255),
			'darkblue': (0, 0, 139),
			'darkcyan': (0, 139, 139),
			'darkgoldenrod': (184, 134, 11),
			'darkgreen': (0, 100, 0),
			'darkgrey': (169, 169, 169),
			'darkkhaki': (189, 183, 107),
			'darkmagenta': (139, 0, 139),
			'darkolivegreen': (85, 107, 47),
			'darkorange': (255, 140, 0),
			'darkorchid': (153, 50, 204),
			'darkred': (139, 0, 0),
			'darksalmon': (233, 150, 122),
			'darkseagreen': (143, 188, 143),
			'darkslateblue': (72, 61, 139),
			'darkslategrey': (47, 79, 79),
			'darkturquoise': (0, 206, 209),
			'darkviolet': (148, 0, 211),
			'deeppink': (255, 20, 147),
			'deepskyblue': (0, 191, 255),
			'dimgrey': (105, 105, 105),
			'dodgerblue': (30, 144, 255),
			'firebrick': (178, 34, 34),
			'floralwhite': (255, 250, 240),
			'forestgreen': (34, 139, 34),
			'fuchsia': (244, 0, 161),
			'gainsboro': (220, 220, 220),
			'ghostwhite': (248, 248, 255),
			'gold': (255, 215, 0),
			'goldenrod': (218, 165, 32),
			'grey': (128, 128, 128),
			'green': (0, 128, 0),
			'greenyellow': (173, 255, 47),
			'honeydew': (240, 255, 240),
			'hotpink': (255, 105, 180),
			'indianred': (205, 92, 92),
			'indigo': (75, 0, 130),
			'ivory': (255, 255, 240),
			'khaki': (240, 230, 140),
			'lavender': (230, 230, 250),
			'lavenderblush': (255, 240, 245),
			'lawngreen': (124, 252, 0),
			'lemonchiffon': (255, 250, 205),
			'lightblue': (173, 216, 230),
			'lightcoral': (240, 128, 128),
			'lightcyan': (224, 255, 255),
			'lightgoldenrodyellow': (250, 250, 210),
			'lightgreen': (144, 238, 144),
			'lightgrey': (211, 211, 211),
			'lightpink': (255, 182, 193),
			'lightsalmon': (255, 160, 122),
			'lightseagreen': (32, 178, 170),
			'lightskyblue': (135, 206, 250),
			'lightslategrey': (119, 136, 153),
			'lightsteelblue': (176, 196, 222),
			'lightyellow': (255, 255, 224),
			'lime': (0, 255, 0),
			'limegreen': (50, 205, 50),
			'linen': (250, 240, 230),
			'magenta': (255, 0, 255),
			'maroon': (128, 0, 0),
			'mediumaquamarine': (102, 205, 170),
			'mediumblue': (0, 0, 205),
			'mediumorchid': (186, 85, 211),
			'mediumpurple': (147, 112, 219),
			'mediumseagreen': ( 60, 179, 113),
			'mediumslateblue': (123, 104, 238),
			'mediumspringgreen': (0, 250, 154),
			'mediumturquoise': (72, 209, 204),
			'mediumvioletred': (199, 21, 133),
			'midnightblue': (25, 25, 112),
			'mintcream': (245, 255, 250),
			'mistyrose': (255, 228, 225),
			'moccasin': (255, 228, 181),
			'navajowhite': (255, 222, 173),
			'navy': (0, 0, 128),
			'oldlace': (253, 245, 230),
			'olive': (128, 128, 0),
			'olivedrab': (107, 142, 35),
			'orange': (255, 165, 0),
			'orangered': (255, 69, 0),
			'orchid': (218, 112, 214),
			'palegoldenrod': (238, 232, 170),
			'palegreen': (152, 251, 152),
			'paleturquoise': (175, 238, 238),
			'palevioletred': (219, 112, 147),
			'papayawhip': (255, 239, 213),
			'peachpuff': (255, 218, 185),
			'peru': (205, 133, 63),
			'pink': (255, 192, 203),
			'plum': (221, 160, 221),
			'powderblue': (176, 224, 230),
			'purple': (128, 0, 128),
			'red': (255, 0, 0),
			'rosybrown': (188, 143, 143),
			'royalblue': (65, 105, 225),
			'saddlebrown': (139, 69, 19),
			'salmon': (250, 128, 114),
			'sandybrown': (244, 164, 96),
			'seagreen': (46, 139, 87),
			'seashell': (255, 245, 238),
			'sienna': (160, 82, 45),
			'silver': (192, 192, 192),
			'skyblue': (135, 206, 235),
			'slateblue': (106, 90, 205),
			'slategrey': (112, 128, 144),
			'snow': (255, 250, 250),
			'springgreen': (0, 255, 127),
			'steelblue': (70, 130, 180),
			'tan': (210, 180, 140),
			'teal': (0, 128, 128),
			'thistle': (216, 191, 216),
			'tomato': (255, 99, 71),
			'turquoise': (64, 224, 208),
			'violet': (238, 130, 238),
			'wheat': (245, 222, 179),
			'white': (255, 255, 255),
			'whitesmoke': (245, 245, 245),
			'yellow': (255, 255, 0),
			'yellowgreen': (154, 205, 50)}

# SVG names
# NOTE: All 'gray' are replaced by 'grey', 'Aqua' is replaced by 'Cyan'
# Fuchsia value (same as Magenta) is replaced by '#f400a1'
SVG_NAMES = {'#7cfc00': 'Lawngreen',
            '#808080': 'Grey',
            '#00008b': 'Darkblue',
            '#ffe4b5': 'Moccasin',
            '#fffff0': 'Ivory',
            '#9400d3': 'Darkviolet',
            '#b8860b': 'Darkgoldenrod',
            '#fffaf0': 'Floralwhite',
            '#8b008b': 'Darkmagenta',
            '#fff5ee': 'Seashell',
            '#ff8c00': 'Darkorange',
            '#5f9ea0': 'Cadetblue',
            '#2f4f4f': 'Darkslategrey',
            '#afeeee': 'Paleturquoise',
            '#add8e6': 'Lightblue',
            '#fffafa': 'Snow',
            '#1e90ff': 'Dodgerblue',
            '#000000': 'Black',
            '#8fbc8f': 'Darkseagreen',
            '#7fffd4': 'Aquamarine',
            '#ffe4e1': 'Mistyrose',
            '#800000': 'Maroon',
            '#6495ed': 'Cornflowerblue',
            '#4169e1': 'Royalblue',
            '#40e0d0': 'Turquoise',
            '#ffffff': 'White',
            '#00ced1': 'Darkturquoise',
            '#8b0000': 'Darkred',
            '#ee82ee': 'Violet',
            '#adff2f': 'Greenyellow',
            '#b0e0e6': 'Powderblue',
            '#7b68ee': 'Mediumslateblue',
            '#ff00ff': 'Magenta',
            '#4682b4': 'Steelblue',
            '#ff6347': 'Tomato',
            '#00ff7f': 'Springgreen',
            '#ffefd5': 'Papayawhip',
            '#ffd700': 'Gold',
            '#f5fffa': 'Mintcream',
            '#dda0dd': 'Plum',
            '#cd5c5c': 'Indianred',
            '#ffa07a': 'Lightsalmon',
            '#00fa9a': 'Mediumspringgreen',
            '#f8f8ff': 'Ghostwhite',
            '#008000': 'Green',
            '#faebd7': 'Antiquewhite',
            '#f0fff0': 'Honeydew',
            '#c0c0c0': 'Silver',
            '#228b22': 'Forestgreen',
            '#7fff00': 'Chartreuse',
            '#9370db': 'Mediumpurple',
            '#fafad2': 'Lightgoldenrodyellow',
            '#fff8dc': 'Cornsilk',
            '#f4a460': 'Sandybrown',
            '#6b8e23': 'Olivedrab',
            '#9932cc': 'Darkorchid',
            '#fdf5e6': 'Oldlace',
            '#3cb371': 'Mediumseagreen',
            '#d8bfd8': 'Thistle',
            '#808000': 'Olive',
            '#a9a9a9': 'Darkgrey',
            '#f5f5dc': 'Beige',
            '#f5deb3': 'Wheat',
            '#ffa500': 'Orange',
            '#00ff00': 'Lime',
            '#90ee90': 'Lightgreen',
            '#a0522d': 'Sienna',
            '#8b4513': 'Saddlebrown',
            '#00ffff': 'Cyan',
            '#f400a1': 'Fuchsia',
            '#4b0082': 'Indigo',
            '#66cdaa': 'Mediumaquamarine',
            '#b22222': 'Firebrick',
            '#d2b48c': 'Tan',
            '#ffebcd': 'Blanchedalmond',
            '#0000ff': 'Blue',
            '#da70d6': 'Orchid',
            '#fffacd': 'Lemonchiffon',
            '#ff7f50': 'Coral',
            '#f5f5f5': 'Whitesmoke',
            '#ffc0cb': 'Pink',
            '#f0e68c': 'Khaki',
            '#ffffe0': 'Lightyellow',
            '#f0ffff': 'Azure',
            '#f0f8ff': 'Aliceblue',
            '#daa520': 'Goldenrod',
            '#c71585': 'Mediumvioletred',
            '#b0c4de': 'Lightsteelblue',
            '#fa8072': 'Salmon',
            '#708090': 'Slategrey',
            '#ff1493': 'Deeppink',
            '#6a5acd': 'Slateblue',
            '#2e8b57': 'Seagreen',
            '#e9967a': 'Darksalmon',
            '#778899': 'Lightslategrey',
            '#ba55d3': 'Mediumorchid',
            '#ff4500': 'Orangered',
            '#a52a2a': 'Brown',
            '#696969': 'Dimgrey',
            '#191970': 'Midnightblue',
            '#dc143c': 'Crimson',
            '#bdb76b': 'Darkkhaki',
            '#ffff00': 'Yellow',
            '#556b2f': 'Darkolivegreen',
            '#eee8aa': 'Palegoldenrod',
            '#cd853f': 'Peru',
            '#faf0e6': 'Linen',
            '#bc8f8f': 'Rosybrown',
            '#d2691e': 'Chocolate',
            '#008080': 'Teal',
            '#98fb98': 'Palegreen',
            '#ff69b4': 'Hotpink',
            '#e0ffff': 'Lightcyan',
            '#87cefa': 'Lightskyblue',
            '#ffdead': 'Navajowhite',
            '#483d8b': 'Darkslateblue',
            '#32cd32': 'Limegreen',
            '#e6e6fa': 'Lavender',
            '#800080': 'Purple',
            '#d3d3d3': 'Lightgrey',
            '#006400': 'Darkgreen',
            '#0000cd': 'Mediumblue',
            '#00bfff': 'Deepskyblue',
            '#ffe4c4': 'Bisque',
            '#48d1cc': 'Mediumturquoise',
            '#008b8b': 'Darkcyan',
            '#9acd32': 'Yellowgreen',
            '#f08080': 'Lightcoral',
            '#ff0000': 'Red',
            '#deb887': 'Burlywood',
            '#db7093': 'Palevioletred',
            '#ffb6c1': 'Lightpink',
            '#20b2aa': 'Lightseagreen',
            '#87ceeb': 'Skyblue',
            '#fff0f5': 'Lavenderblush',
            '#8a2be2': 'Blueviolet',
            '#000080': 'Navy',
            '#dcdcdc': 'Gainsboro',
            '#ffdab9': 'Peachpuff'}
